# Serialized Form

- ## Package org.codehaus.plexus.util

  - ### Class org.codehaus.plexus.util.FastMap extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream stream)
                             throws IOException,
                                    ClassNotFoundException

        Requires special handling during de-serialization process.
        Throws:
          `IOException` - if an I/O error occurs.
          `ClassNotFoundException` - if the class for the object de-serialized is not found.

      - #### writeObject

            private void writeObject(ObjectOutputStream stream)
                              throws IOException

        Requires special handling during serialization process.
        Throws:
          `IOException` - if an I/O error occurs.

- ## Package org.codehaus.plexus.util.cli

  - ### Class org.codehaus.plexus.util.cli.CommandLineException extends Exception implements Serializable

  - ### Class org.codehaus.plexus.util.cli.CommandLineTimeOutException extends CommandLineException implements Serializable

- ## Package org.codehaus.plexus.util.dag

  - ### Class org.codehaus.plexus.util.dag.CycleDetectedException extends Exception implements Serializable

    - ### Serialized Fields

      - #### cycle

            List<E> cycle

  - ### Class org.codehaus.plexus.util.dag.DAG extends Object implements Serializable

    - ### Serialized Fields

      - #### vertexMap

            Map<K,V> vertexMap

        Maps vertex's label to vertex

      - #### vertexList

            List<E> vertexList

        Conatin list of all verticies

  - ### Class org.codehaus.plexus.util.dag.Vertex extends Object implements Serializable

    - ### Serialized Fields

      - #### label

            String label

      - #### children

            List<E> children

      - #### parents

            List<E> parents

- ## Package org.codehaus.plexus.util.introspection

  - ### Class org.codehaus.plexus.util.introspection.MethodMap.AmbiguousException extends Exception implements Serializable

- ## Package org.codehaus.plexus.util.reflection

  - ### Class org.codehaus.plexus.util.reflection.ReflectorException extends Exception implements Serializable

- ## Package org.codehaus.plexus.util.xml

  - ### Class org.codehaus.plexus.util.xml.XmlReaderException extends IOException implements Serializable

    - ### Serialized Fields

      - #### _bomEncoding

            String _bomEncoding

      - #### _xmlGuessEncoding

            String _xmlGuessEncoding

      - #### _xmlEncoding

            String _xmlEncoding

      - #### _contentTypeMime

            String _contentTypeMime

      - #### _contentTypeEncoding

            String _contentTypeEncoding

      - #### _is

            InputStream _is

  - ### Class org.codehaus.plexus.util.xml.XmlStreamReaderException extends XmlReaderException implements Serializable

  - ### Class org.codehaus.plexus.util.xml.Xpp3Dom extends Object implements Serializable

    serialVersionUID:
      2567894443061173996L

    - ### Serialized Fields

      - #### name

            String name

      - #### value

            String value

      - #### attributes

            Map<K,V> attributes

      - #### childList

            List<E> childList

      - #### childMap

            Map<K,V> childMap

      - #### parent

            Xpp3Dom parent

- ## Package org.codehaus.plexus.util.xml.pull

  - ### Class org.codehaus.plexus.util.xml.pull.XmlPullParserException extends Exception implements Serializable

    - ### Serialized Fields

      - #### detail

            Throwable detail

        Deprecated. use generic getCause() method

      - #### row

            int row

      - #### column

            int column

Copyright © 2015. All rights reserved.